# -*- encoding: cp1251 -*-

"""
Задача "Химия"
Первая интернет-олимпиада сезона 2010-2011
Автор задачи: Сергей Мельников, melnikov@rain.ifmo.ru
Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
"""
mass = {'H' : 1, 'C' : 12, 'N' : 14, 'O' : 16}

with open("h2o.in") as inf:
    s = inf.readline()

assert 1 <= len(s) <= 21
ans = 0
cur = 0
for ch in s[:-1]:
    if '1' <= ch <= '9':
        cur *= int(ch)
    else:
        ans += cur
        cur = mass[ch]

with open("h2o.out", "w") as ouf:
    print >>ouf, ans + cur
